using System;
using System.Drawing;
using System.Windows.Forms;
using System.Threading;

namespace MoonAndEarth
{
	/// <summary>
	/// Summary description for CMoon.
	/// </summary>
	public class CMoon : System.Windows.Forms.PictureBox
	{
		public bool move = false;
		private double angle;
		public CMoon()
		{
			this.Image = new Bitmap("MoonImage.jpg");
			this.SizeMode =  PictureBoxSizeMode.StretchImage;
		}
		public void Trajectory(Form vSpace)
		{
			int offsetX = (vSpace.Width/2) - this.Width/2;
			int offsetY = (vSpace.Height/2) - this.Height/2;
			while(move)
			{
				this.Left = (int)(150*Math.Cos(angle) + offsetX);
				this.Top = (int)(150*Math.Sin(angle) + offsetY);
				Application.DoEvents();
				if(angle < 2*Math.PI)
					angle += .05;
				else
					angle = 0;
				Thread.Sleep(20);
			}
		}
	}
}
